★ TouchArcade needs your help. Click here to support us on Patreon.
11-14-2012, 01:18 PM
This was optimized for iPhone 4S and iPhone 5. My life is complete.
11-14-2012, 01:19 PM
Joined: Jul 2012
Location: Philippines
Posts: 1,273
What's new

"Bastion is now a Universal App! Thank you to all our fans for your continued support.
- Added compatability with iPhone 5, iPhone 4S, and iPod touch (5th Gen.)
- Optimized for the iPhone 5's 4-inch Retina display
- iCloud sync*: seamless data transfer between your devices
- Minor bug fixes and optimized performance
* Note: To transfer existing data to iCloud, please update the app and load each save slot you want to sync."

11-14-2012, 01:37 PM
Quote:
Originally Posted by Alister View Post
What's new

"Bastion is now a Universal App! Thank you to all our fans for your continued support.
- Added compatability with iPhone 5, iPhone 4S, and iPod touch (5th Gen.)
- Optimized for the iPhone 5's 4-inch Retina display
- iCloud sync*: seamless data transfer between your devices
- Minor bug fixes and optimized performance
* Note: To transfer existing data to iCloud, please update the app and load each save slot you want to sync."
When can we expect to see this in the AppStore?!?!
11-14-2012, 01:42 PM
Quote:
Originally Posted by Rusothil View Post
When can we expect to see this in the AppStore?!?!
Right now

Social Games: Pocket Mine 2, Terra Battle, FF Record Keeper, PAD
GameCenter: StriveMind
11-14-2012, 01:46 PM
Quote:
Originally Posted by bramblett05 View Post
Will this be on touch 4?
No iPhone 4 too
11-14-2012, 01:49 PM
Joined: Mar 2010
Location: Sweden
Posts: 1,336
Quote:
Originally Posted by bramblett05 View Post
If you have touch 4 or lower it says cannot connect to store they blocked lower end devices

AppStore been acting weird since yesterday.


Yea you need an iPhone 4S, iPhone 5 or iPod 5 (or iPad 2 and above).

Soundcloud:
http://soundcloud.com/chris1a-1
Audiobombs (presets and templates for iOS synths):
https://www.audiobombs.com/users/ChrisG
11-14-2012, 01:55 PM
Joined: Jul 2011
Location: The red Skittle
Posts: 5,328
The App Store was down for the last ~15 minutes.

Here's the new requirements list:
(Is it just me or does it seem to be extremely permissive with the iPhone 3GS and iPod 3rd gen?)

Quote:
Requirements: Compatible with iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPod touch (3rd generation), iPod touch (4th generation), iPod touch (5th generation) and iPad. Requires iOS 5.1 or later. This app is optimized for iPhone 5.



Need proofreading, editing or writing done for your game?
Contact me via PM or email and we can talk.
11-14-2012, 01:58 PM
Joined: Mar 2010
Location: Sweden
Posts: 1,336
Quote:
Originally Posted by Echoseven View Post
The App Store was down for the last ~15 minutes.

Here's the new requirements list:
(Is it just me or does it seem to be extremely permissive with the iPhone 3GS and iPod 3rd gen?)
Don't look at that list. Apple needs to fix that list shit yesterday since devs have little control over what devices they can put in that list/what ends up on it.

iPhone 4S and above and iPod 5 is the correct info.

Soundcloud:
http://soundcloud.com/chris1a-1
Audiobombs (presets and templates for iOS synths):
https://www.audiobombs.com/users/ChrisG

Last edited by chris1a; 11-14-2012 at 02:02 PM.
11-14-2012, 02:00 PM
Quote:
Originally Posted by Echoseven View Post
The App Store was down for the last ~15 minutes.

Here's the new requirements list:
(Is it just me or does it seem to be extremely permissive with the iPhone 3GS and iPod 3rd gen?)
Im really tempted, even if it doesnt work at all. Had my eye on this one since a loooooong time
11-14-2012, 02:26 PM
Joined: Mar 2010
Location: Sweden
Posts: 1,336
Quote:
Originally Posted by bramblett05 View Post
Eli said it can run on touch 3 or newer at least it sounded in the statement
Was Jared who wrote that I think. Anyway it's a misprint.

Soundcloud:
http://soundcloud.com/chris1a-1
Audiobombs (presets and templates for iOS synths):
https://www.audiobombs.com/users/ChrisG